Built LMS Help Center
API Reference and PlaygroundCourse BuilderModule Blocks

DELETE Delete course builder block

DELETE
/course-builder/modules/{module_id}/blocks/{block_id}

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

module_id*string

module_id path parameter

block_id*string

block_id path parameter

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X DELETE "https://example.com/course-builder/modules/{module_id}/blocks/{block_id}" \  -H "Content-Type: application/json" \  -d '{    "props": {      "blockId": "Example blockid",      "content": [        {          "type": "example_type",          "props": "Example props"        }      ],      "zones": {}    }  }'
{  "data": {    "block_id": "string",    "deleted": true  },  "meta": {    "organization_id": "{organization_id}",    "total": 0,    "total_count": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "requested_at": "2019-08-24T14:15:22Z"  }}